<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Enregistre les modifications sur un fichier édité
// Nom      : modifier.php
// Version  : 0.8.2
// Date     : 30/06/08
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// editorからデータを受け取って書き込む。

header("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv  = $_SESSION["ws"]["serveurActif"];
$chemin  = $_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"];
$typeSrv = $_SESSION["ws"]["$nomSrv"]["typeServeur"];

// L'utilisateur doit être autorisé à effectuer l'opération
if($_SESSION["ws"]["auth3"] == "on")
{
	if(empty($_REQUEST["editContent"]) || preg_match("@^\s$@u", $_REQUEST["editContent"]))
	{
		$_REQUEST["editContent"] = $_REQUEST["editImproved"];
	}
	// Test du contenu des variables
	if(!empty($_REQUEST["nomElement"])/* && !empty($_REQUEST["editContent"])*/)
	{
		if(preg_match($_SESSION["ws"]["varsUser"], $_REQUEST["nomElement"]))
		{
			echo $_SESSION["ws"]["dia"]["noPermission"];
			$tabLog= array("19", "-1", $_SESSION["ws"]["dia"]["noPermission"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $_REQUEST["nomElement"], "");
			$l_sql->logAction($tabLog);
			exit;
		}

		// Construction des chemins
		$chemin = convertUTF8($chemin);
		$nomElement = $_REQUEST["nomElement"];
		$cheminElement = stripslashes(blindeChemin("$chemin/$nomElement"));
		$_REQUEST["editContent"] = str_replace("wstextarea", "textarea", $_REQUEST["editContent"]);
		if($typeSrv == 2){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }

		// Création du dossier
		$contents = stripslashes($_REQUEST["editContent"]);
		if(F_put_contents($nomSrv, $cheminElement, $contents) !== FALSE)
		{
			$message = $_SESSION["ws"]["dia"]["endEdit"]." ".$nomElement.". ".$_SESSION["ws"]["dia"]["savingDocument"]." ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["successful"].". ";
		}
		else
		{
			$message = $_SESSION["ws"]["dia"]["endEdit"]." ".$nomElement.". ".$_SESSION["ws"]["dia"]["savingDocument"]." ".$_SESSION["ws"]["dia"]["hasFailed"].". ";
		}
		if($typeSrv == 2){ closeFTP($nomSrv); }
	}
	else
	{
		$message = $_SESSION["ws"]["dia"]["prohibited"];
	}
}
else
{
	$message = $_SESSION["ws"]["dia"]["prohibited"];
}

echo $message;
$tabLog= array("19","1",$message,$_SESSION["ws"]["nomUser"],$nomElement,filename($_REQUEST["nomElement"]),$nomElement);
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
