<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Affiche le lecteur MP3
// Nom      : mp3player.php
// Version  : 0.8.2
// Date     : 21/02/08
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

session_start();
$chemin      = preg_replace("/(nothl=1&)/", "", $_REQUEST["chemin"]); //// 曲のソースアドレスだが、ouvrir.phpを介して供給される。
$nom_rep     = basename(dirname($_SERVER["SCRIPT_FILENAME"])); //// このプレイヤーのプラグイン名(入っているフォルダ名)。
$typeMorceau = 1; //// 不明。.mp3の場合はとにかく1。
$nomMorceau  = ""; //// 曲の名前。プレーヤーの窓に表示される。空ならファイル名の拡張子をのぞいた部分。
$styleChemin = $_SESSION["ws"]["cheminImg"]; //// プレイヤーの部品が入っているフォルダ(最後に"/"がついている)。
$extMorceau  = substr($_REQUEST["chemin"], -3); //// 曲の拡張子。
if(($extMorceau=="pls")||($extMorceau=="m3u")) {
	$typeMorceau = 2;
	$content_file = file_get_contents($_SESSION["ws"]["cheminActif"].$_REQUEST["url"]);
	preg_match("!(http\:\/\/[[:alnum:]-\/\:\.]*)[[:cntrl:]]*!", $content_file, $adrFlux);
	if(preg_match("/favicon/", $adrFlux[0]))
	{ $chemin = trim($adrFlux[1]); }
	else
	{ $chemin = trim($adrFlux[0]); }
	$chemin = str_replace("listen.pls", "", $chemin);
	$url = preg_replace('@^.*/([^/]+)@u', '\1', $_REQUEST["url"]); //// basename()と同じだが日本語もあるので。
	$nomMorceau = str_replace(array(".pls", ".m3u"), "", $url);
}
$chemin = rawurlencode($chemin); //// 日本語ファイル名対応。
$nomMorceau = preg_replace('@\.[^\.]*$@', '', preg_replace('@^.*/([^/]+)@u', '\1', $_REQUEST["chemin"])); //// 日本語ファイル名対応。
$nomMorceau = html_entity_decode(preg_replace("@%u([0-9a-f]{3,4})@i", "&#x\\1;", rawurldecode($nomMorceau)), null, 'UTF-8'); //// 日本語ファイル名対応。
$source = "plugins/$nom_rep/player.swf?morceau=$chemin&chemin=$styleChemin&typeMorceau=$typeMorceau". (!empty($nomMorceau)?"&nomMorceau=$nomMorceau":""); //// 起動するプラグインのアドレス。

?>
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=7;IE=8;IE=9"><?php //////// IE10以降でこける ?>
<style type="text/css">
 * {border:0; padding:0; margin:0;}
</style>
<title>MP3 PLAYER</title>
</head>
<body>
<div id="playermp3"></div>
<script type="text/javascript">
if(parent.document.getElementById('playermp3new')) {
   parent.document.getElementById('playermp3new').style.display = "none";
}
parent.document.getElementById('playermp3').style.width = "194px";
parent.document.getElementById('playermp3').style.height = "88px";
parent.document.getElementById('playermp3').style.display = "block";
parent.document.getElementById('playermp3').innerHTML = ''
+'<table cellspacing="0" style="z-index:600;cursor:move;">'
+'<tr class="mini">'
+'<td class="mini moveWindow" style="width:7px;height:7px;cursor:move;background:url(<?php echo $styleChemin ?>fenetre_01.png);"></td>'
+'<td class="mini moveWindow" style="width:180px;height:7px;cursor:move;background:url(<?php echo $styleChemin ?>fenetre_02.png);"></td>'
+'<td class="mini moveWindow" style="width:7px;height:7px;cursor:pointer;background:url(<?php echo $styleChemin ?>fenetre_13.png);" onclick="document.getElementById(\'playermp3\').style.display=\'none\';document.getElementById(\'playermp3\').innerHTML=\'\';" title="強制終了"></td>'
+'</tr>'
+'<tr>'
+'<td class="moveWindow" style="width:7px;height:74px;cursor:move;background:url(<?php echo $styleChemin ?>fenetre_04.png);"><img src="<?php echo $styleChemin; ?>fenetre_04.png" style="width:7px;height:74px;" /></td>'
+'<td class="moveWindow" style="width:180px;height:74px;cursor:pointer;">'
+'<object id="player"'
+' classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"'
+' codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,0,0"'
+' align="middle" style="width:180px;height:74px;max-width:180px;cursor:pointer;">'
+'  <param name="type" value="application/x-shockwave-flash" />'
+'  <param name="movie" value="<?php echo $source; ?>" />'
+'  <param name="play" value="true" />'
+'  <param name="quality" value="high" />'
+'  <param name="bgcolor" value="#000000" />'
+'  <param name="allowScriptAccess" value="samedomain" />'
+'  <embed name="player"'
+' pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash"'
+' type="application/x-shockwave-flash"'
+' align="middle" style="width:180px;height:74px;max-width:180px;"'
+' src="<?php echo $source; ?>"'
+' play="true"'
+' quality="high"'
+' bgcolor="#000000"'
+' allowScriptAccess="samedomain">'
+'  </embed>'
+'</object>'
+'</td>'
+'<td class="moveWindow" style="width:7px;height:74px;cursor:move;background:url(<?php echo $styleChemin; ?>fenetre_06.png)"><img src="<?php echo $styleChemin; ?>fenetre_06.png" style="width:7px;height:74px;" /></td>'
+'</tr>'
+'<tr class="mini">'
+'<td class="mini moveWindow" style="width:7px;height:7px;cursor:move;background:url(<?php echo $styleChemin ?>fenetre_07.png);"></td>'
+'<td class="mini moveWindow" style="width:180px;height:7px;cursor:move;background:url(<?php echo $styleChemin ?>fenetre_08.png);"></td>'
+'<td class="mini moveWindow" style="width:7px;height:7px;cursor:move;background:url(<?php echo $styleChemin ?>fenetre_09.png);"></td>'
+'</tr>'
+'</table>';
</script>
</body>
</html>
