<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Créer un nouveau document texte vide
// Nom      : crea_txt.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

//// 新規テキストファイルを作成する。

header ("Content-type: text/html; charset=utf-8");

session_start();
include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

// L'utilisateur ne peut pas effectuer d'opération au dessus de sa racine virtuelle
verifie($_REQUEST["nomElement"]);

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv = $_SESSION["ws"]["serveurActif"];
$chemin = $_SESSION["ws"]["$nomSrv"]["rootServeur"]."/".$_SESSION["ws"]["$nomSrv"]["repServeur"]."/".$_SESSION["ws"]["dossierActif"];
$typeSrv= $_SESSION["ws"]["$nomSrv"]["typeServeur"];

// L'utilisateur doit être autorisé à effectuer l'opération
if($_SESSION["ws"]["auth2"]=="on")
{
	// Test du contenu des variables
	if(!empty($_REQUEST["nomElement"]))
	{
		// Construction des chemins
		$chemin = convertUTF8($chemin);
		$nomElement = convCar(rawurldecode(trim($_REQUEST["nomElement"])));
		$typeElement= (!empty($_REQUEST["typeElement"]) ? convCar(rawurldecode(trim($_REQUEST["typeElement"]))) : "txt");
		$cheminTxt = stripslashes(blindeChemin("$chemin/$nomElement.$typeElement"));

		if(preg_match($_SESSION["ws"]["varsUser"], $cheminTxt))
		{
			echo $_SESSION["ws"]["dia"]["noPermission"];
			$tabLog= array("9", "-1", $_SESSION["ws"]["dia"]["noPermission"], $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $cheminTxt, "");
			$l_sql->logAction($tabLog);
			exit;
		}

		// Création du fichier
		if($typeSrv == "2"){ $_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv); }
		if(F_put_contents($nomSrv, $cheminTxt, "") !== FALSE)
		{
			$message = $_SESSION["ws"]["dia"]["theNewTxt"]." '".$nomElement."' ".$_SESSION["ws"]["dia"]["hasBeen"]." ".$_SESSION["ws"]["dia"]["created"]." ".$_SESSION["ws"]["dia"]["withSuccess"];
		}
		else
		{
			$message = $_SESSION["ws"]["dia"]["txtCreate"]." '".$nomElement."' ".$_SESSION["ws"]["dia"]["hasFailed"].". ".$erreur;
		}
		if($typeSrv == "2"){ closeFTP($nomSrv); }
	}
}
else
{
	$message = $_SESSION["ws"]["dia"]["prohibited"];
}

echo $message;
$tabLog = array("9", "1", $message, $_SESSION["ws"]["nomUser"], $_SESSION["ws"]["dossierActif"], $nomElement, "");
$l_sql->logAction($tabLog);
$l_sql->disconnect();

?>
