<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Récupère la progression de l'upload
// Nom      : upload_progress.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

include_once "auth.php";
include_once "../wspasswd/define.php";
include_once "fonctions.php";

$l_sql = new class_sql();
$l_sql->connect();

$nomSrv = $_SESSION["ws"]["serveurActif"];
$chemin = $_SESSION["ws"]["cheminActif"]."/".$_SESSION["ws"]["dossierActif"];

if(isset($_GET["filename"]))
{
	$_SESSION["ws"]["dl"]    = 0;
	$_SESSION["ws"]["finDl"] = 0;
	$_SESSION["ws"]["typeZip"]    = $_GET["typeZip"];
	$_SESSION["ws"]["typeAction"] = $_GET["typeAction"];
	$_SESSION["ws"]["fileName"]   = convertUTF8($_GET["filename"]);
	$_SESSION["ws"]["nomEncode"]  = convCar(stripslashes(filename(blindeLien(rawurldecode($_GET["nomEncode"])))));
	if(empty($_SESSION["ws"]["nomEncode"])){ $_SESSION["ws"]["nomEncode"] = $_SESSION["ws"]["fileName"]; }
}

$nomEnvoi= preg_replace("@%u([0-9ABCDEFabcdef]{3,5})@e", 'html_to_utf8("\\1")', $_SESSION["ws"]["nomEncode"]);
$statFile= $_SESSION["ws"]["tempDir"]."stats_".$_SESSION["ws"]["sid"].".txt";
$statInfo= @file_get_contents($statFile);

if(isset($statInfo)&&(strlen($statInfo)!=0))
{
	$etat="D";
	$_SESSION["ws"]["dl"]=1;
	$pourcent= substr($statInfo,0,strpos($statInfo,"|"));
	if($pourcent=="100"){ $etat="S"; $_SESSION["ws"]["finDl"] = 1; }
	if($pourcent=="-1"){  $etat="P"; $_SESSION["ws"]["finDl"] = 1; }
}
else
{
	$etat="W";
	if($_SESSION["ws"]["dl"]!=0){ $etat="S"; $_SESSION["ws"]["finDl"] = 1; }
}


if($_SESSION["ws"]["finDl"] == 1)
{
	if($pourcent=="100")
	{
		if((strstr($_SESSION["ws"]["fileName"],".zip")!==false) && ($_SESSION["ws"]["typeZip"]==1))
		{
			dezipper(blindeChemin($_SESSION["ws"]["tempDir"].$_SESSION["ws"]["fileName"]), blindeChemin($chemin));
		}
		else
		{
			if(!preg_match($_SESSION["ws"]["varsUser"], $_SESSION["ws"]["fileName"]))
			{
				$lienSrv= blindeChemin($_SESSION["ws"]["tempDir"]);
				$handle = opendir($lienSrv);
				while(($entry = readdir($handle)) !== false)
				{
					if(!preg_match(str_replace("/i", "|stats_|temp_/i", $_SESSION["ws"]["varsUser"]), $entry))
					{
						if(!is_dir($lienSrv.blindeChemin("/$entry")))
						{
							$temp = blindeChemin($_SESSION["ws"]["tempDir"].$entry);
							$dest = blindeChemin("$chemin/".$_SESSION["ws"]["nomEncode"]);
							// En local
							if($_SESSION["ws"]["$nomSrv"]["typeServeur"] == "1")
							{
								$existing = is_file($dest);
								switch ($_SESSION["ws"]["typeAction"])
								{
									default:
									case "0":
										if($existing) unlink ($dest);
										rename($temp, $dest);
									break;

									case "1":
										if($existing){ rename($temp, blindeChemin("$chemin/").date("Ymd_His_").$_SESSION["ws"]["nomEncode"]); }
										else{ rename($temp, $dest); }
									break;

									case "2":
										if($existing){ unlink($temp); }
										else{ rename($temp,$dest); }
									break;
								}
								if(is_file($temp)){ unlink($temp); }
								if(is_file($dest)){ chmod($dest, NEWFILE_PERM); } //// 追加
							}
							else // En FTP
							{
								$_SESSION["ws"]["$nomSrv"]["connexion"] = connexionFTP($nomSrv);
								$existing = 0;
								if(($contents = ftp_rawlist($_SESSION["ws"]["$nomSrv"]["connexion"], blindeChemin($chemin))) !== FALSE)
								{
									foreach($contents as $file)
									{
										if(!preg_match("@^[.]{2}$|^[.]{1}$@u", $file))
										{
											$info = array();
											$vinfo = preg_split("@[\s]+@u", $file, 9);
											if($vinfo[0] !== "total")
											{
												$filename = $vinfo[8];
												if(preg_match("@".$_SESSION["ws"]["nomEncode"]."@", $filename)){ $existing = 1; }
											}
										}
									}
								}
								switch ($_SESSION["ws"]["typeAction"])
								{
									default:
									case "0":
										if($existing)
										{
											@ftp_delete($_SESSION["ws"]["$nomSrv"]["connexion"], $dest);
										}
										@ftp_put($_SESSION["ws"]["$nomSrv"]["connexion"], $dest, $temp, FTP_BINARY);
									break;
									case "1":
										if($existing)
										{
											@ftp_put($_SESSION["ws"]["$nomSrv"]["connexion"], blindeChemin("$chemin/").date("Ymd_His_").$_SESSION["ws"]["nomEncode"], $temp, FTP_BINARY);
										}
										else
										{
											@ftp_put($_SESSION["ws"]["$nomSrv"]["connexion"], $dest, $temp, FTP_BINARY);
										}
									break;
									case "2":
										if(!$existing)
										{
											@ftp_put($_SESSION["ws"]["$nomSrv"]["connexion"], $dest, $temp, FTP_BINARY);
										}
									break;
								}
								@unlink ($temp);
								@ftp_chmod($_SESSION["ws"]["$nomSrv"]["connexion"], NEWFTPFILE_PERM, $dest); //// 追加
								B_ftp_update($nomSrv);
								closeFTP($nomSrv);
							}

							/*** Décommentez cette partie pour envoyer un mail lors de la fin de l'upload ***
							$lienMail = blindeChemin($_SESSION["ws"]["rootWeb"].blindeChemin("/".$_SESSION["ws"]["dossierActif"]."/".$nomEnvoi);
							$message  = $_SESSION["ws"]["dia"]["mailSendFile1"]." ".$_SESSION["ws"]["serveurActif"];
							if($_SESSION["ws"]["$nomSrv"]["typeServeur"]=="1")
								$message .= "\n \n ".$_SESSION["ws"]["dia"]["mailSendFile2"]." ".$lienMail;
							$message .= "\n \n ".$_SESSION["ws"]["dia"]["mailSendFile3"]."\n \n ".$_SESSION["ws"]["dia"]["mailSendFile4"];
							// Personnalisez cette ligne en remplaçant "mail@mondomaine.com" par l'adresse mail du destinataire
							mail("mail@mondomaine.com",$_SESSION["ws"]["dia"]["mailSendTitle"], $message,
							'Content-type: text/plain; charset=utf-8'."\r\n".'From: "'.$_SESSION["ws"]["nomUser"].'"<'.$_SESSION["ws"]["mailUser"].'>');
							/*** ***/

							$tabLog= array("6","2",$_SESSION["ws"]["dia"]["File"]." ".$nomEnvoi." ".$_SESSION["ws"]["dia"]["uploaded"],$_SESSION["ws"]["nomUser"],$_SESSION["ws"]["dossierActif"],$nomEnvoi,"");
							$l_sql->logAction($tabLog);
							$l_sql->disconnect();
						}
					}
				}
				closedir($handle);
			}
			else
			{
				$statInfo=$_SESSION["ws"]["dia"]["noPermission"];
				unlink(blindeChemin($_SESSION["ws"]["tempDir"].$_SESSION["ws"]["fileName"]));
			}
		}
	}

	unlink(blindeChemin($_SESSION["ws"]["tempDir"]."stats_".$_SESSION["ws"]["sid"].".txt"));
	unlink(blindeChemin($_SESSION["ws"]["tempDir"]."temp_".$_SESSION["ws"]["sid"]));
	$_SESSION["ws"]["finDl"] = 0; //// == になっていたが、=のまちがいであろう。
}

echo $etat."|".convertUTF8($_SESSION["ws"]["nomEncode"])."|".$statInfo."|End";

?>
