<?php
/************************************************************************/
/*                                WEBSHARE                              */
/************************************************************************/
//
// Copyright (c) 2009 by Virginie Vivancos
// http://www.webshare.fr
//
// This program is free software. You can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License.
//
// =======================================================================
// Fonction : Page de structure et de lancement
// Nom      : start.php
// Version  : 0.8.2
// Date     : 24/04/09
// =======================================================================
// WebShare0.8.2ακ1.7 : 2012 Tanabata version.
// Reformed by kiyoshi@kuragane.jp / 2012.02.09(κ1.0) - 2012.07.07(κ1.7)
// =======================================================================

session_start();
include_once "moteur/auth.php";
include_once "wspasswd/define.php";
include_once "moteur/fonctions.php";
include_once "lang/English.lang.php";
include_once "lang/".$_SESSION["ws"]["langUser"].".lang.php";
$nomSrv = $_SESSION["ws"]["listeServeur"][0];
?>
<?php if($navig=="IE7") { ?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<?php }else{ ?>
<!DOCTYPE html>
<?php } ?>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=7;IE=8;IE=9"><?php //////// IE10以降でこける ?>
  <meta name="robots" content="noindex, nofollow">
  <link rel="shortcut icon" href="style/favicon.ico" type="image/ico">
<?php if(!defined("NOT_RSS") || !NOT_RSS){ //// ?>
  <link rel="alternate" type="application/rss+xml" title="Webshare :: Nouvelles opérations " href="flux/index.php">
<?php } //// ?>
  <script src="moteur/script.php" type="text/javascript"></script>
  <style type="text/css" title="currentStyle">
    @import url('style/Standard.css');
  </style>
<?php
if($_SESSION["ws"]["styleUser"]!="Standard")
{
  echo '
  <link type="text/css" rel="stylesheet" href="style/'.$_SESSION["ws"]["styleUser"].'.css" media="screen">';
}
?>
<?php
if(preg_match('@MSIE [5-6]@', $_SERVER['HTTP_USER_AGENT'])) //// .pngの透明が効かないので補正している。
{ // Pour gérer la transparence sous IE
?>
  <style type="text/css">
    #arbre img, #frame_favoris img, u img, a img, nobr img, #liens img, .nom img, .caseimg img, #infos_user img, .context_item img, .context_des img
    { behavior: url('style/iepngfix.htc') }
  </style>
<?php
}
?>
  <script type="text/javascript">
    function startFunc() {
      if('function' == typeof(initialiser)) {
        initialiser();
      } else {
        location.reload(true);
      }
      if('function' == typeof(corriger)) {
        corriger();
      } else {
        location.reload(true);
      }
      if('function' == typeof(redimStop)) {
        redimStop();
      } else {
        location.reload(true);
      }
    }
    window.onresize  = corriger;
    window.onmouseup = redimStop;
    window.onload    = startFunc;
  </script>
<!--
WebShare0.8.2ακ1.7 : 2012 Tanabata version.
 Reformed by kiyoshi@kuragane.jp / 2012.07.07
 http://kuragane.jp/index.html?id=137
Original source is WebShare0.8.2α : http://www.webshare.fr/
-->
  <title><?php echo $_SESSION["ws"]["pageTitle"];?></title>
</head>

<?php //// 以下で各ウィンドウを定義している ?> 
<body>

<div id='layerDragDrop'></div>
<div id='playermp3new'></div>
<div id='playermp3' class='fenetre'></div>
<div id='context_box'></div>

<div id='barre_act' onclick='apropos("<?php echo $_SESSION["ws"]["dia"]["about"]?> Webshare")' onmouseover='iciType="apropos"' onmouseout="elementOut(this)"><?php //// 左上WebShareロゴ部分 ?> 
  <div id='act'></div>
</div>

<div id='frame_adresse'><?php //// 最上部のアドレスとボタンメニュー表示部 ?> 
  <div id='adresse'><?php //// アドレス表示部 ?> 
    <span id='liens' class='montre'></span>
    <span id='charge' class='masque'></span>
  </div>
  <div id='util'></div><?php //// メニューボタン表示部 ?> 
</div>

<div id='frame_content'>
  <div id="loading" style="margin-top:100px;text-align:center;font-family:arial;font-size:16px;"><?php //// スタートのローディング表示 ?> 
    <img src="style/Standard/images/webshare.png"><br><br>
    <img src="style/Standard/images/loading2.gif"><br>
    <?php echo $_SESSION["ws"]["dia"]["loading"]; ?>
  </div>
  <div id="headerParams" class="v3"></div><?php //// 詳細表示でファイル名、コメント、ファイル容量他の項目表示の部分 ?> 
  <div id='frame_demande' onmouseover='autoriseSelection()' onmouseout='interditSelection()'></div><?php //// 検索中など表示する部分 ?> 
  <div id='frame_galerie' onmouseover='iciSrv=actuelSrv'></div><?php //// アイコン表示などのファイルを表示する部分 ?> 
</div>

<div id='open_arbre'></div><?php //// ツリーウィンドウを開くボタン表示コンテナ。新設。 ?> 
<div id='frame_dossier'><?php //// 左のフォルダツリー表示ウインドウ ?> 
  <div id='close_arbre'></div><?php //// ツリーウィンドウ閉じるボタン表示コンテナ ?> 
  <div id='arborescence'>
    <div id='arbre'></div>
  </div>
  <div id='resize_dossier' onmousedown='redimFrame();'></div>
</div>

<div id='open_favoris'></div><?php //// ブックマークウィンドウを開くボタン表示コンテナ。新設。 ?> 
<div id='frame_favoris' onmouseover='autoriseSelection()' onmouseout='interditSelection()'><?php //// 右のブックマーク表示ウインドウ ?> 
  <div id='close_favoris'></div><?php //// ブックマークウィンドウ閉じるボタン表示コンテナ ?> 
  <div id='resize_favoris' onmousedown='redimFavoris();'></div>
</div>

<div id='frame_file'><?php //// 画像プレビュー、ファイルプレビュー、editerなどのウインドウ ?> 
  <div id='resize_content' onmousedown='redimContent();'></div>
  <div id='file'>
    <span id='infotitre'></span>
  </div>
  <div id='tools'></div>
</div>
<div id='frame_detail' onmouseover='redimStop();'></div><?php //// frame_file内部の写真,プラグイン等表示部 ?> 

<div id='frame_infos'><?php //// 一番下のファイル数、時刻、ログインユーザ等のインフォーメション表示部 ?> 
  <div id='infos_rep'></div><?php //// ファイル数、ファイル容量文字表示部 ?> 
  <div id='horloge'></div><?php //// 中央の時刻表示部 ?> 
  <div id='infos_user' <?php echo(($_SESSION["ws"]["publicUser"]!="on" && $_SESSION["ws"]["autoUserAcc"]=="1")?"onclick='affichePref(\"".$_SESSION["ws"]["dia"]["myPref"]."\")'":"style=\"cursor:default;\""); ?>>
  </div><?php //// ログインユーザ表示部 ?> 
</div>

<div id='frame_hidden'>
  <form name="editValue" action=''>
    <input type='hidden' id='contentEditor' name='contentEditor' value=''>
    <input type='hidden' id='fileEditor' name='fileEditor' value=''>
  </form>
  <iframe id='upload' name='upload' src='moteur/index.php'></iframe>
</div>

<div id='fenetre' class='fenetre'></div><?php //// 検索、コメント、終了確認などのＯＫ、キャンセルその他一時ウィンドウ ?> 

</body>
</html>
